Bug 1008930 - abrt should fallback to koji for missing debuginfo files
abrt should fallback to koji for missing debuginfo files
Status: NEW
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vokal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 07:09 EDT by Nicolas Mailhot
Modified: 2016-11-30 19:53 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:24:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2013-09-17 07:09:00 EDT
Description of problem:

Every single package ever build in fedora is available in koji, abrt should look there instead of complaining it can not find some debuginfos

If there is a need to disambiguate koji-built packages from third party packages just request a specific metadata bit in Fedora packages and have koji add it automatically at build time

This single change would increase abrt reliability by several orders of magnitude (and reduce developper and tester load)

Version-Release number of selected component (if applicable):

gnome-abrt-0.3.1-1.fc21.x86_64
Comment 1 Michal Toman 2013-09-17 10:52:48 EDT
(In reply to Nicolas Mailhot from comment #0)
> Description of problem:
> 
> Every single package ever build in fedora is available in koji, abrt should
> look there instead of complaining it can not find some debuginfos
Not directly related to the problem, but this is a wrong assumption. Builds get deleted from koji.

> If there is a need to disambiguate koji-built packages from third party
> packages just request a specific metadata bit in Fedora packages and have
> koji add it automatically at build time
I believe a Fedora "watermark" already exists.

> This single change would increase abrt reliability by several orders of
> magnitude (and reduce developper and tester load)
I don't agree. It will increase ABRT's success rate, but the overall effect would be hardly noticeable - the majority of people are using remote analysis (Retrace Server).
There are also several non-trivial problems. First, the debuginfo packages are searched by build-ids, koji does not provide a way to do this - see #1008928. Second, in local analysis, even if you have the correct debuginfo, you need the matching binary, which does not necessarily need to be present on your system. Third, this solution does not scale. The current implementation looks for debuginfo packages in mirrored repositories, while querying koji from all around the world might result into DoS (okay, maybe paranoia).
Comment 2 Nicolas Mailhot 2013-09-17 15:46:10 EDT
(In reply to Michal Toman from comment #1)
> (In reply to Nicolas Mailhot from comment #0)
> > Description of problem:
> > 
> > Every single package ever build in fedora is available in koji, abrt should
> > look there instead of complaining it can not find some debuginfos
> Not directly related to the problem, but this is a wrong assumption. Builds
> get deleted from koji.

Not on the timescales abrt is usually run

> > If there is a need to disambiguate koji-built packages from third party
> > packages just request a specific metadata bit in Fedora packages and have
> > koji add it automatically at build time
> I believe a Fedora "watermark" already exists.
> 
> > This single change would increase abrt reliability by several orders of
> > magnitude (and reduce developper and tester load)
> I don't agree. It will increase ABRT's success rate, but the overall effect
> would be hardly noticeable - the majority of people are using remote
> analysis (Retrace Server).

retrace should also fall back on koji unless of complaining it does not know a package version

> There are also several non-trivial problems. First, the debuginfo packages
> are searched by build-ids, koji does not provide a way to do this - see
> #1008928.

abrt knows the dso names, the rpm and srpm who provides them, and approximate version at time of crash. This is enough to make pretty accurate guesses (I have to do it all the time manually to get good traces)

> Second, in local analysis, even if you have the correct debuginfo,
> you need the matching binary, which does not necessarily need to be present
> on your system.

Likewise, it is available in koji for Fedora packages

> Third, this solution does not scale. The current
> implementation looks for debuginfo packages in mirrored repositories, while
> querying koji from all around the world might result into DoS (okay, maybe
> paranoia).

won't DoS more than asking users to download random packages from koji because he abrt trace can not be used. Won't DoS at all if it's used as fallback for the bits that can not be satisfied from current repos. Will actually provide data to the people who manage repositories on the correct debuginfo retention strategies in official repos to satisfy abrt needs
Comment 3 Jaroslav Reznik 2015-03-03 11:55:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 5 Fedora End Of Life 2016-07-19 06:24:00 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Jan Kurik 2016-07-26 01:03:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Note You need to log in before you can comment on or make changes to this bug.